<!DOCTYPE html>
<html>
<head>
  <title>Electron Updater Example - Test</title>
</head>
<body>
  Current version: <span id="version">vX.Y.Z</span>
  <div id="messages"></div>
<script>
// Display the current version
let version = window.location.hash.substring(1);
document.getElementById('version').innerText = version;

// Listen for messages
const {ipcRenderer} = require('electron');

ipcRenderer.on('message', function(event, text) {
  var container = document.getElementById('messages');
  var message = document.createElement('div');
  message.innerHTML = text;
  container.appendChild(message);
})
</script>
</body>
</html>